Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.any23.extractor
Class TagSoupExtractionResult.PropertyPath

    java.lang.Object
      org.apache.any23.extractor.TagSoupExtractionResult.PropertyPath

Enclosing interface:
  TagSoupExtractionResult

    public static class TagSoupExtractionResult.PropertyPath

extends Object

Defines a property path object.

Constructor Summary
`TagSoupExtractionResult.PropertyPath(String[] path, org.openrdf.model.Resource subject, org.openrdf.model.Resource property, org.openrdf.model.BNode object, Class<? extends MicroformatExtractor> extractor)`

Method Summary
`Class<? extends MicroformatExtractor>` | `getExtractor()`
`org.openrdf.model.BNode` | `getObject()`
`String[]` | `getPath()`
`org.openrdf.model.Resource` | `getProperty()`
`org.openrdf.model.Resource` | `getSubject()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TagSoupExtractionResult.PropertyPath

    public TagSoupExtractionResult.PropertyPath(String[] path,
                                                org.openrdf.model.Resource subject,
                                                org.openrdf.model.Resource property,
                                                org.openrdf.model.BNode object,
                                                Class<? extends MicroformatExtractor> extractor)

Method Detail

### getPath

    public String[] getPath()

### getSubject

    public org.openrdf.model.Resource getSubject()

### getProperty

    public org.openrdf.model.Resource getProperty()

### getObject

    public org.openrdf.model.BNode getObject()

### getExtractor

    public Class<? extends MicroformatExtractor> getExtractor()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012 The Apache Software Foundation. All Rights Reserved.